//
//  YearEditViewController.swift
//  BooksStoryboard
//
//  Created by Holger Hinzberg on 18.05.15.
//  Copyright (c) 2015 Holger Hinzberg. All rights reserved.
//

import UIKit

class YearEditViewController: UIViewController
{
    @IBOutlet var yearSlider: UISlider!
    @IBOutlet var yearTextField: UILabel!
    
    // Eigenschaften für die Verbindungen mit dem
    // Eltern-View-Controller
    var year:Int?
    weak var parentController:YearDidChangeProtocol?

    override func viewDidLoad()
    {
        super.viewDidLoad()
        
        if let year = self.year
        {
            self.yearSlider.value = Float(year)
            self.yearTextField.text = "\(year)"
        }
    }

    override func didReceiveMemoryWarning()
    {
        super.didReceiveMemoryWarning()
    }
    
    @IBAction func sliderMoved(sender: AnyObject)
    {
        // Den Wert des Schiebereglers von einem 
        // Float in einen Int umwandeln und dann
        // als String im Bezeichnungsfeld anzeigen
        var year = Int(self.yearSlider.value)
        self.yearTextField.text = "\(year)"
    }
    
    @IBAction func submitButtonTouched(sender: AnyObject)
    {
        // Den im Schieberegler eingestellen Wert
        // an die übergeordnete Szene übergeben
        var year = Int(self.yearSlider.value)
        self.parentController?.yearDidChange(year)
    }
}
